# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm)
# END SourceDeps(oneline)
%define module_name Internals-DumpArenas
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt4
Summary: Dump perl memory
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JJ/JJORE/%{module_name}-%{version}.tar.gz

%description
Dumps all of perl's regular values. This iterates over all values
reachable by the perl's normal memory management.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ook.txt Changes log.txt README ook2.txt LICENSE
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.12-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.12-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.12-alt2
- rebuild with perl 5.30

* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- initial import by package builder

